package marshalling;
import java.io.FileOutputStream;
import java.io.IOException;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

public class JavaToXMLDemo {
    public static void main(String[] args) {
        try {
            // Create a JAXBContext that can handle 
            // the Country class
            JAXBContext context = JAXBContext.newInstance(
                    Country.class);

            // Create a Marshaller
            Marshaller m = context.createMarshaller();
            m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, 
                    true);
            
            // Create a Country object to be marshalled
            Country object = new Country();
            object.setCode("CA");
            object.setName("Canada");
            object.setPopulation(30000000);
            // Print the XML to System.out
            m.marshal(object, System.out);
            m.marshal(object, new FileOutputStream("result.xml"));
        } catch (JAXBException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}